Page MenuHomePhabricator

Make Norwegian Bokmål (nb) and Nynorsk (nn) fall back to Norwegian (no) in maps
Closed, ResolvedPublic

Description

OpenStreetMap usually uses name:no for Norwegian, and only uses name:nb and name:nn rarely. See this page on their wiki.

This is causing problems on wikis whose languages are nb or nn, so we should make both of them fall back to no, and make no fall back to nb and nn (in that order, since nb is used by more people).

Event Timeline

Catrope created this task.May 11 2018, 7:05 PM
Restricted Application added subscribers: jeblad, Danmichaelo, jhsoby, Aklapper. · View Herald TranscriptMay 11 2018, 7:05 PM
Catrope claimed this task.May 11 2018, 7:06 PM
Haros added a subscriber: Haros.May 11 2018, 7:14 PM

Checked in betalabs :

<mapframe latitude="47" longitude="7.5" text="Europe, in Norwegian  Bokmål" zoom="8" width="500" height="400" align="left" lang="nb" /><div style="clear:both;"></div>

will display 'Berna' :

Etonkovidova closed this task as Resolved.Jun 1 2018, 10:29 PM
Vvjjkkii renamed this task from Make Norwegian Bokmål (nb) and Nynorsk (nn) fall back to Norwegian (no) in maps to s3caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Catrope as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from s3caaaaaaa to Make Norwegian Bokmål (nb) and Nynorsk (nn) fall back to Norwegian (no) in maps.Jul 2 2018, 4:17 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Catrope.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.